com.independentsoft.exchange

## Class OccurrenceItemId

- java.lang.Object
- - com.independentsoft.exchange.Id
  - - com.independentsoft.exchange.ItemId
    - - com.independentsoft.exchange.OccurrenceItemId

-     public class OccurrenceItemId
      extends ItemId

  Identifies a single occurrence of a recurring item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrenceItemId()` Initializes a new instance of the OccurrenceItemId class.
    `OccurrenceItemId(java.lang.String id)` Initializes a new instance of the OccurrenceItemId class.
    `OccurrenceItemId(java.lang.String id, int index)` Initializes a new instance of the OccurrenceItemId class.
    `OccurrenceItemId(java.lang.String id, java.lang.String changeKey)` Initializes a new instance of the OccurrenceItemId class.
    `OccurrenceItemId(java.lang.String id, java.lang.String changeKey, int index)` Initializes a new instance of the OccurrenceItemId class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Gets the index of the item occurrence.
    `void` | `setIndex(int index)` Sets the index of the item occurrence.
    `java.lang.String` | `toString()` Converts the value of the current OccurrenceItemId object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.ItemId

      `getId, setId`

    - ### Methods inherited from class com.independentsoft.exchange.Id

      `getChangeKey, setChangeKey`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OccurrenceItemId

          public OccurrenceItemId()

      Initializes a new instance of the OccurrenceItemId class.

    - #### OccurrenceItemId

          public OccurrenceItemId(java.lang.String id)

      Initializes a new instance of the OccurrenceItemId class.
      Parameters:
        `id` - the id

    - #### OccurrenceItemId

          public OccurrenceItemId(java.lang.String id,
                                  java.lang.String changeKey)

      Initializes a new instance of the OccurrenceItemId class.
      Parameters:
        `id` - the id
        `changeKey` - the change key

    - #### OccurrenceItemId

          public OccurrenceItemId(java.lang.String id,
                                  int index)

      Initializes a new instance of the OccurrenceItemId class.
      Parameters:
        `id` - the id
        `index` - the index

    - #### OccurrenceItemId

          public OccurrenceItemId(java.lang.String id,
                                  java.lang.String changeKey,
                                  int index)

      Initializes a new instance of the OccurrenceItemId class.
      Parameters:
        `id` - the id
        `changeKey` - the change key
        `index` - the index

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current OccurrenceItemId object to its equivalent string representation.
      Overrides:
        `toString` in class `ItemId`
      Returns:
        the string

    - #### getIndex

          public int getIndex()

      Gets the index of the item occurrence.
      Returns:
        the index

    - #### setIndex

          public void setIndex(int index)

      Sets the index of the item occurrence.
      Parameters:
        `index` - the new index